Vector::BLF::LinDatabyteTimestampEvent(3)

NAME
Vector::BLF::LinDatabyteTimestampEvent

SYNOPSIS

#include <LinDatabyteTimestampEvent.h>

Inherits Vector::BLF::LinMessageDescriptor.

Inherited by Vector::BLF::LinCrcError2, Vector::BLF::LinMessage2, Vector::BLF::LinReceiveError2, Vector::BLF::LinShortOrSlowResponse, and Vector::BLF::LinShortOrSlowResponse2.

  Public Member Functions
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::LinMessageDescriptor
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::LinSynchFieldEvent
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::LinBusEvent
LinBusEvent (const LinBusEvent &)=default
LinBusEvent & operator= (const LinBusEvent &)=default
LinBusEvent (LinBusEvent &&)=default
LinBusEvent & operator= (LinBusEvent &&)=default

  Public Attributes
std::array< uint64_t, 9 > databyteTimestamps {}
Databyte timestamps, where d[0] = EndOfHeader, d[1]=EndOfDataByte1, ..., d[8]=EndOfDataByte8.
Public Attributes inherited from Vector::BLF::LinMessageDescriptor
uint16_t supplierId {}
LIN Sub-Identifier - Supplier ID.
uint16_t messageId {}
LIN Sub-Identifier - Message ID (16 bits).
uint8_t nad {}
LIN Sub-Identifier - NAD.
uint8_t id {}
LIN ID.
uint8_t dlc {}
LIN DLC.
uint8_t checksumModel {}
LIN checksum model.
Public Attributes inherited from Vector::BLF::LinSynchFieldEvent
uint64_t synchBreakLength {}
Sync Break Length in ns.
uint64_t synchDelLength {}
Sync Delimiter Length in ns.
Public Attributes inherited from Vector::BLF::LinBusEvent
uint64_t sof {}
Start Of Frame timestamp.
uint32_t eventBaudrate {}
Baudrate of the event in bit/sec.
uint16_t channel {}
application channel
uint16_t reservedLinBusEvent {}

Detailed Description

Common header of LIN bus events containing response data bytes

Member Function Documentation

  uint32_t Vector::BLF::LinDatabyteTimestampEvent::calculateObjectSize () const [override], [virtual]

Calculates the objectSize

Returns
    object size

Reimplemented from Vector::BLF::LinBusEvent.

Reimplemented in Vector::BLF::LinMessage2, Vector::BLF::LinReceiveError2, Vector::BLF::LinShortOrSlowResponse2, and Vector::BLF::LinShortOrSlowResponse.

  void Vector::BLF::LinDatabyteTimestampEvent::read (AbstractFile & is) [override], [virtual]

Read the data of this object

Parameters
    is input stream

Reimplemented from Vector::BLF::LinBusEvent.

Reimplemented in Vector::BLF::LinMessage2, Vector::BLF::LinReceiveError2, Vector::BLF::LinShortOrSlowResponse2, and Vector::BLF::LinShortOrSlowResponse.

  void Vector::BLF::LinDatabyteTimestampEvent::write (AbstractFile & os) [override], [virtual]

Write the data of this object

Parameters
    os output stream

Reimplemented from Vector::BLF::LinBusEvent.

Reimplemented in Vector::BLF::LinMessage2, Vector::BLF::LinReceiveError2, Vector::BLF::LinShortOrSlowResponse2, and Vector::BLF::LinShortOrSlowResponse.

Member Data Documentation

  std::array<uint64_t, 9> Vector::BLF::LinDatabyteTimestampEvent::databyteTimestamps {}

Databyte timestamps, where d[0] = EndOfHeader, d[1]=EndOfDataByte1, ..., d[8]=EndOfDataByte8. Data byte timestamps [in nanoseconds]

Index 0 corresponds to last header byte

Indexes 1-9 correspond to response data bytes D1-D8

Author

Generated automatically by Doxygen for Vector BLF from the source code.